﻿<Graph ClassName="RQSetupExtPB" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using PX.Data;
using PX.Objects.CS;
using PX.Objects.EP;
using PX.Objects.GL;
using PX.Objects.PO;
using PX.Objects.RQ;
using PX.Objects;
using System.Collections.Generic;
using System;

namespace PX.Objects.RQ
{
    public class RQSetupExtPB : PXCacheExtension<PX.Objects.RQ.RQSetup>
    {
        #region UsrBidNumberingID
        [PXDBString(10)]
        [PXSelector(typeof(Numbering.numberingID), DescriptionField = typeof(Numbering.descr))]
        [PXUIField(DisplayName = "Bidding Numbering Sequence")]
        public virtual string UsrBidNumberingID { get; set; }
        public abstract class usrBidNumberingID : PX.Data.BQL.BqlString.Field<usrBidNumberingID> { }
        #endregion

        #region UsrRequirePBApproval
        [EPRequireApproval]
        [PXDefault(false, PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Require Partial Bidding Approval")]
        public virtual bool? UsrRequirePBApproval { get; set; }
        public abstract class usrRequirePBApproval : PX.Data.BQL.BqlString.Field<usrRequirePBApproval> { }
        #endregion
    }
}]]></CDATA>
</Graph>